Announcement Announcement Module
Collapse
No announcement yet.
Grails version upgrade, which is better approach ? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Grails version upgrade, which is better approach ?

    Hi,

    Currently my project is on Grails v1.0.5 and I am planning to upgrade it to the latest, v1.3.7.

    Is it better to use the Grails upgrade command or

    create an empty project under v1.3.7 and copy the source files across ?


    I read some postings recommending the latter approach but am not too sure.


    Any other tips on upgrading would be great.

    Thanks.

  • #2
    In this case, I would go with the second approach: create a fresh project and copy over your application code from the previous version. Note that things like the default index page (and possibly the errors page) moved at some point. Also, you might want to manually merge files that exist in both projects, such as Config.groovy and UrlMappings.groovy.

    Comment


    • #3
      Hi,

      I did same but I am getting below errors

      org.codehaus.groovy.control.multiplecompilationerr orsexception
      Unable to resolve class org.apache.commons.httpclient.HttpClient
      Unable to resolve class org.apache.commons.httpclient.params.HttpClientPar ams

      Any Idea why I an getting these erros?

      Thanks
      Prasad

      Comment


      • #4
        Don't forget to copy the libraries (JAR file in 'lib') over to the new project, although I recommend you take this opportunity to declare them as dependencies in BuildConfig.groovy instead.

        Comment


        • #5
          I tried but still I am getting same problem.
          Then I added groovysoap-all-jsr06-0.1 JAR file to lib folder and all the files compiled.
          But when I deploy the war file I am getting below error messages
          validateJarFile(\\localhost\application\WEB-INF\lib\groovysoap-all-jsr06-0.1 JAR ) - jar not loaded
          ERROR RichuiGrailsPlugin - Errror initializing RichUI plugin

          Please suggest me to resolve this issue.

          Thanks,
          Prasad

          Comment


          • #6
            I would increase the default logging level (perhaps to debug) to see what's going on. Also, check to see whether there is a stacktrace.log file containing an exception stack trace. I don't know why the RichUI plugin would be having problems.

            Comment

            Working...
            X